# Projects: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/project/

Bimp API methods for the “Projects” resource (`/org2/project/…`): 1 method. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/project/api-readList`](#api-read-list) | A request to view a list of projects |

## api-readList

`POST /org2/project/api-readList`

A request to view a list of projects

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) |  |
| `[].name` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/project/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
